use 5.014002;
use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    NAME              => 'LibArchive',
    VERSION_FROM      => 'lib/LibArchive.pm', # finds $VERSION
    PREREQ_PM         => {}, # e.g., Module::Name => 1.1
    ($] >= 5.005 ?     ## Add these new keywords supported since 5.005
      (ABSTRACT_FROM  => 'lib/LibArchive.pm', # retrieve abstract from module
       AUTHOR         => 'Proxmox Support Team <support@proxmox.com>') : ()),
    LIBS              => ['-larchive'], # e.g., '-lm'
    DEFINE            => '', # e.g., '-DHAVE_SOMETHING'
    INC               => '-I.', # e.g., '-I. -I/usr/include/other'
	# Un-comment this if you add C files to link with later:
    # OBJECT            => '$(O_FILES)', # link all the C files too
);
if  (eval {require ExtUtils::Constant; 1}) {
  # If you edit these definitions to change the constants used by this module,
  # you will need to use the generated const-c.inc and const-xs.inc
  # files to replace their "fallback" counterparts before distributing your
  # changes.
  my @names = (qw(AE_IFBLK AE_IFCHR AE_IFDIR AE_IFIFO AE_IFLNK AE_IFMT AE_IFREG
		 AE_IFSOCK ARCHIVE_COMPRESSION_BZIP2
		 ARCHIVE_COMPRESSION_COMPRESS ARCHIVE_COMPRESSION_GZIP
		 ARCHIVE_COMPRESSION_LZIP ARCHIVE_COMPRESSION_LZMA
		 ARCHIVE_COMPRESSION_NONE ARCHIVE_COMPRESSION_PROGRAM
		 ARCHIVE_COMPRESSION_RPM ARCHIVE_COMPRESSION_UU
		 ARCHIVE_COMPRESSION_XZ ARCHIVE_ENTRY_ACL_ADD_FILE
		 ARCHIVE_ENTRY_ACL_ADD_SUBDIRECTORY
		 ARCHIVE_ENTRY_ACL_APPEND_DATA ARCHIVE_ENTRY_ACL_DELETE
		 ARCHIVE_ENTRY_ACL_DELETE_CHILD
		 ARCHIVE_ENTRY_ACL_ENTRY_DIRECTORY_INHERIT
		 ARCHIVE_ENTRY_ACL_ENTRY_FAILED_ACCESS
		 ARCHIVE_ENTRY_ACL_ENTRY_FILE_INHERIT
		 ARCHIVE_ENTRY_ACL_ENTRY_INHERIT_ONLY
		 ARCHIVE_ENTRY_ACL_ENTRY_NO_PROPAGATE_INHERIT
		 ARCHIVE_ENTRY_ACL_ENTRY_SUCCESSFUL_ACCESS
		 ARCHIVE_ENTRY_ACL_EVERYONE ARCHIVE_ENTRY_ACL_EXECUTE
		 ARCHIVE_ENTRY_ACL_GROUP ARCHIVE_ENTRY_ACL_GROUP_OBJ
		 ARCHIVE_ENTRY_ACL_INHERITANCE_NFS4
		 ARCHIVE_ENTRY_ACL_LIST_DIRECTORY ARCHIVE_ENTRY_ACL_MASK
		 ARCHIVE_ENTRY_ACL_OTHER ARCHIVE_ENTRY_ACL_PERMS_NFS4
		 ARCHIVE_ENTRY_ACL_PERMS_POSIX1E ARCHIVE_ENTRY_ACL_READ
		 ARCHIVE_ENTRY_ACL_READ_ACL ARCHIVE_ENTRY_ACL_READ_ATTRIBUTES
		 ARCHIVE_ENTRY_ACL_READ_DATA ARCHIVE_ENTRY_ACL_READ_NAMED_ATTRS
		 ARCHIVE_ENTRY_ACL_STYLE_EXTRA_ID
		 ARCHIVE_ENTRY_ACL_STYLE_MARK_DEFAULT
		 ARCHIVE_ENTRY_ACL_SYNCHRONIZE ARCHIVE_ENTRY_ACL_TYPE_ACCESS
		 ARCHIVE_ENTRY_ACL_TYPE_ALARM ARCHIVE_ENTRY_ACL_TYPE_ALLOW
		 ARCHIVE_ENTRY_ACL_TYPE_AUDIT ARCHIVE_ENTRY_ACL_TYPE_DEFAULT
		 ARCHIVE_ENTRY_ACL_TYPE_DENY ARCHIVE_ENTRY_ACL_TYPE_NFS4
		 ARCHIVE_ENTRY_ACL_TYPE_POSIX1E ARCHIVE_ENTRY_ACL_USER
		 ARCHIVE_ENTRY_ACL_USER_OBJ ARCHIVE_ENTRY_ACL_WRITE
		 ARCHIVE_ENTRY_ACL_WRITE_ACL ARCHIVE_ENTRY_ACL_WRITE_ATTRIBUTES
		 ARCHIVE_ENTRY_ACL_WRITE_DATA
		 ARCHIVE_ENTRY_ACL_WRITE_NAMED_ATTRS
		 ARCHIVE_ENTRY_ACL_WRITE_OWNER ARCHIVE_EOF ARCHIVE_EXTRACT_ACL
		 ARCHIVE_EXTRACT_FFLAGS ARCHIVE_EXTRACT_MAC_METADATA
		 ARCHIVE_EXTRACT_NO_AUTODIR ARCHIVE_EXTRACT_NO_OVERWRITE
		 ARCHIVE_EXTRACT_NO_OVERWRITE_NEWER ARCHIVE_EXTRACT_OWNER
		 ARCHIVE_EXTRACT_PERM ARCHIVE_EXTRACT_SECURE_NODOTDOT
		 ARCHIVE_EXTRACT_SECURE_SYMLINKS ARCHIVE_EXTRACT_SPARSE
		 ARCHIVE_EXTRACT_TIME ARCHIVE_EXTRACT_UNLINK
		 ARCHIVE_EXTRACT_XATTR ARCHIVE_FAILED ARCHIVE_FATAL
		 ARCHIVE_FILTER_BZIP2 ARCHIVE_FILTER_COMPRESS
		 ARCHIVE_FILTER_GZIP ARCHIVE_FILTER_LZIP ARCHIVE_FILTER_LZMA
		 ARCHIVE_FILTER_NONE ARCHIVE_FILTER_PROGRAM ARCHIVE_FILTER_RPM
		 ARCHIVE_FILTER_UU ARCHIVE_FILTER_XZ ARCHIVE_FORMAT_7ZIP
		 ARCHIVE_FORMAT_AR ARCHIVE_FORMAT_AR_BSD ARCHIVE_FORMAT_AR_GNU
		 ARCHIVE_FORMAT_BASE_MASK ARCHIVE_FORMAT_CAB
		 ARCHIVE_FORMAT_CPIO ARCHIVE_FORMAT_CPIO_AFIO_LARGE
		 ARCHIVE_FORMAT_CPIO_BIN_BE ARCHIVE_FORMAT_CPIO_BIN_LE
		 ARCHIVE_FORMAT_CPIO_POSIX ARCHIVE_FORMAT_CPIO_SVR4_CRC
		 ARCHIVE_FORMAT_CPIO_SVR4_NOCRC ARCHIVE_FORMAT_EMPTY
		 ARCHIVE_FORMAT_ISO9660 ARCHIVE_FORMAT_ISO9660_ROCKRIDGE
		 ARCHIVE_FORMAT_LHA ARCHIVE_FORMAT_MTREE ARCHIVE_FORMAT_RAR
		 ARCHIVE_FORMAT_RAW ARCHIVE_FORMAT_SHAR
		 ARCHIVE_FORMAT_SHAR_BASE ARCHIVE_FORMAT_SHAR_DUMP
		 ARCHIVE_FORMAT_TAR ARCHIVE_FORMAT_TAR_GNUTAR
		 ARCHIVE_FORMAT_TAR_PAX_INTERCHANGE
		 ARCHIVE_FORMAT_TAR_PAX_RESTRICTED ARCHIVE_FORMAT_TAR_USTAR
		 ARCHIVE_FORMAT_XAR ARCHIVE_FORMAT_ZIP ARCHIVE_MATCH_CTIME
		 ARCHIVE_MATCH_EQUAL ARCHIVE_MATCH_MTIME ARCHIVE_MATCH_NEWER
		 ARCHIVE_MATCH_OLDER ARCHIVE_OK ARCHIVE_READDISK_HONOR_NODUMP
		 ARCHIVE_READDISK_MAC_COPYFILE
		 ARCHIVE_READDISK_NO_TRAVERSE_MOUNTS
		 ARCHIVE_READDISK_RESTORE_ATIME ARCHIVE_RETRY
		 ARCHIVE_VERSION_NUMBER ARCHIVE_WARN));
  ExtUtils::Constant::WriteConstants(
                                     NAME         => 'LibArchive',
                                     NAMES        => \@names,
                                     DEFAULT_TYPE => 'IV',
                                     C_FILE       => 'const-c.inc',
                                     XS_FILE      => 'const-xs.inc',
                                  );

}
else {
  use File::Copy;
  use File::Spec;
  foreach my $file ('const-c.inc', 'const-xs.inc') {
    my $fallback = File::Spec->catfile('fallback', $file);
    copy ($fallback, $file) or die "Can't copy $fallback to $file: $!";
  }
}
