#define PERL_constant_NOTFOUND	1
#define PERL_constant_NOTDEF	2
#define PERL_constant_ISIV	3
#define PERL_constant_ISNO	4
#define PERL_constant_ISNV	5
#define PERL_constant_ISPV	6
#define PERL_constant_ISPVN	7
#define PERL_constant_ISSV	8
#define PERL_constant_ISUNDEF	9
#define PERL_constant_ISUV	10
#define PERL_constant_ISYES	11

#ifndef NVTYPE
typedef double NV; /* 5.6 and later define NVTYPE, and typedef NV to it.  */
#endif
#ifndef aTHX_
#define aTHX_ /* 5.6 or later define this for threading support.  */
#endif
#ifndef pTHX_
#define pTHX_ /* 5.6 or later define this for threading support.  */
#endif

static int
constant_8 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     AE_IFBLK AE_IFCHR AE_IFDIR AE_IFIFO AE_IFLNK AE_IFREG */
  /* Offset 6 gives the best switch position.  */
  switch (name[6]) {
  case 'E':
    if (memEQ(name, "AE_IFREG", 8)) {
    /*                     ^       */
#ifdef AE_IFREG
      *iv_return = AE_IFREG;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'F':
    if (memEQ(name, "AE_IFIFO", 8)) {
    /*                     ^       */
#ifdef AE_IFIFO
      *iv_return = AE_IFIFO;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'H':
    if (memEQ(name, "AE_IFCHR", 8)) {
    /*                     ^       */
#ifdef AE_IFCHR
      *iv_return = AE_IFCHR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'I':
    if (memEQ(name, "AE_IFDIR", 8)) {
    /*                     ^       */
#ifdef AE_IFDIR
      *iv_return = AE_IFDIR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "AE_IFBLK", 8)) {
    /*                     ^       */
#ifdef AE_IFBLK
      *iv_return = AE_IFBLK;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "AE_IFLNK", 8)) {
    /*                     ^       */
#ifdef AE_IFLNK
      *iv_return = AE_IFLNK;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_17 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_FILTER_UU ARCHIVE_FILTER_XZ ARCHIVE_FORMAT_AR */
  /* Offset 16 gives the best switch position.  */
  switch (name[16]) {
  case 'R':
    if (memEQ(name, "ARCHIVE_FORMAT_A", 16)) {
    /*                               R      */
#ifdef ARCHIVE_FORMAT_AR
      *iv_return = ARCHIVE_FORMAT_AR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'U':
    if (memEQ(name, "ARCHIVE_FILTER_U", 16)) {
    /*                               U      */
#ifdef ARCHIVE_FILTER_UU
      *iv_return = ARCHIVE_FILTER_UU;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'Z':
    if (memEQ(name, "ARCHIVE_FILTER_X", 16)) {
    /*                               Z      */
#ifdef ARCHIVE_FILTER_XZ
      *iv_return = ARCHIVE_FILTER_XZ;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_18 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_FILTER_RPM ARCHIVE_FORMAT_CAB ARCHIVE_FORMAT_LHA
     ARCHIVE_FORMAT_RAR ARCHIVE_FORMAT_RAW ARCHIVE_FORMAT_TAR
     ARCHIVE_FORMAT_XAR ARCHIVE_FORMAT_ZIP */
  /* Offset 17 gives the best switch position.  */
  switch (name[17]) {
  case 'A':
    if (memEQ(name, "ARCHIVE_FORMAT_LH", 17)) {
    /*                                A      */
#ifdef ARCHIVE_FORMAT_LHA
      *iv_return = ARCHIVE_FORMAT_LHA;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'B':
    if (memEQ(name, "ARCHIVE_FORMAT_CA", 17)) {
    /*                                B      */
#ifdef ARCHIVE_FORMAT_CAB
      *iv_return = ARCHIVE_FORMAT_CAB;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'M':
    if (memEQ(name, "ARCHIVE_FILTER_RP", 17)) {
    /*                                M      */
#ifdef ARCHIVE_FILTER_RPM
      *iv_return = ARCHIVE_FILTER_RPM;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'P':
    if (memEQ(name, "ARCHIVE_FORMAT_ZI", 17)) {
    /*                                P      */
#ifdef ARCHIVE_FORMAT_ZIP
      *iv_return = ARCHIVE_FORMAT_ZIP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "ARCHIVE_FORMAT_RA", 17)) {
    /*                                R      */
#ifdef ARCHIVE_FORMAT_RAR
      *iv_return = ARCHIVE_FORMAT_RAR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "ARCHIVE_FORMAT_TA", 17)) {
    /*                                R      */
#ifdef ARCHIVE_FORMAT_TAR
      *iv_return = ARCHIVE_FORMAT_TAR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "ARCHIVE_FORMAT_XA", 17)) {
    /*                                R      */
#ifdef ARCHIVE_FORMAT_XAR
      *iv_return = ARCHIVE_FORMAT_XAR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'W':
    if (memEQ(name, "ARCHIVE_FORMAT_RA", 17)) {
    /*                                W      */
#ifdef ARCHIVE_FORMAT_RAW
      *iv_return = ARCHIVE_FORMAT_RAW;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_19 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_EXTRACT_ACL ARCHIVE_FILTER_GZIP ARCHIVE_FILTER_LZIP
     ARCHIVE_FILTER_LZMA ARCHIVE_FILTER_NONE ARCHIVE_FORMAT_7ZIP
     ARCHIVE_FORMAT_CPIO ARCHIVE_FORMAT_SHAR ARCHIVE_MATCH_CTIME
     ARCHIVE_MATCH_EQUAL ARCHIVE_MATCH_MTIME ARCHIVE_MATCH_NEWER
     ARCHIVE_MATCH_OLDER */
  /* Offset 15 gives the best switch position.  */
  switch (name[15]) {
  case '7':
    if (memEQ(name, "ARCHIVE_FORMAT_7ZIP", 19)) {
    /*                              ^          */
#ifdef ARCHIVE_FORMAT_7ZIP
      *iv_return = ARCHIVE_FORMAT_7ZIP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'C':
    if (memEQ(name, "ARCHIVE_FORMAT_CPIO", 19)) {
    /*                              ^          */
#ifdef ARCHIVE_FORMAT_CPIO
      *iv_return = ARCHIVE_FORMAT_CPIO;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "ARCHIVE_MATCH_NEWER", 19)) {
    /*                              ^          */
#ifdef ARCHIVE_MATCH_NEWER
      *iv_return = ARCHIVE_MATCH_NEWER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'G':
    if (memEQ(name, "ARCHIVE_FILTER_GZIP", 19)) {
    /*                              ^          */
#ifdef ARCHIVE_FILTER_GZIP
      *iv_return = ARCHIVE_FILTER_GZIP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "ARCHIVE_FILTER_LZIP", 19)) {
    /*                              ^          */
#ifdef ARCHIVE_FILTER_LZIP
      *iv_return = ARCHIVE_FILTER_LZIP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "ARCHIVE_FILTER_LZMA", 19)) {
    /*                              ^          */
#ifdef ARCHIVE_FILTER_LZMA
      *iv_return = ARCHIVE_FILTER_LZMA;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "ARCHIVE_MATCH_OLDER", 19)) {
    /*                              ^          */
#ifdef ARCHIVE_MATCH_OLDER
      *iv_return = ARCHIVE_MATCH_OLDER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "ARCHIVE_FILTER_NONE", 19)) {
    /*                              ^          */
#ifdef ARCHIVE_FILTER_NONE
      *iv_return = ARCHIVE_FILTER_NONE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'Q':
    if (memEQ(name, "ARCHIVE_MATCH_EQUAL", 19)) {
    /*                              ^          */
#ifdef ARCHIVE_MATCH_EQUAL
      *iv_return = ARCHIVE_MATCH_EQUAL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "ARCHIVE_FORMAT_SHAR", 19)) {
    /*                              ^          */
#ifdef ARCHIVE_FORMAT_SHAR
      *iv_return = ARCHIVE_FORMAT_SHAR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "ARCHIVE_MATCH_CTIME", 19)) {
    /*                              ^          */
#ifdef ARCHIVE_MATCH_CTIME
      *iv_return = ARCHIVE_MATCH_CTIME;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "ARCHIVE_MATCH_MTIME", 19)) {
    /*                              ^          */
#ifdef ARCHIVE_MATCH_MTIME
      *iv_return = ARCHIVE_MATCH_MTIME;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '_':
    if (memEQ(name, "ARCHIVE_EXTRACT_ACL", 19)) {
    /*                              ^          */
#ifdef ARCHIVE_EXTRACT_ACL
      *iv_return = ARCHIVE_EXTRACT_ACL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_20 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_EXTRACT_PERM ARCHIVE_EXTRACT_TIME ARCHIVE_FILTER_BZIP2
     ARCHIVE_FORMAT_EMPTY ARCHIVE_FORMAT_MTREE */
  /* Offset 18 gives the best switch position.  */
  switch (name[18]) {
  case 'E':
    if (memEQ(name, "ARCHIVE_FORMAT_MTREE", 20)) {
    /*                                 ^        */
#ifdef ARCHIVE_FORMAT_MTREE
      *iv_return = ARCHIVE_FORMAT_MTREE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'M':
    if (memEQ(name, "ARCHIVE_EXTRACT_TIME", 20)) {
    /*                                 ^        */
#ifdef ARCHIVE_EXTRACT_TIME
      *iv_return = ARCHIVE_EXTRACT_TIME;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'P':
    if (memEQ(name, "ARCHIVE_FILTER_BZIP2", 20)) {
    /*                                 ^        */
#ifdef ARCHIVE_FILTER_BZIP2
      *iv_return = ARCHIVE_FILTER_BZIP2;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "ARCHIVE_EXTRACT_PERM", 20)) {
    /*                                 ^        */
#ifdef ARCHIVE_EXTRACT_PERM
      *iv_return = ARCHIVE_EXTRACT_PERM;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "ARCHIVE_FORMAT_EMPTY", 20)) {
    /*                                 ^        */
#ifdef ARCHIVE_FORMAT_EMPTY
      *iv_return = ARCHIVE_FORMAT_EMPTY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_21 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_EXTRACT_OWNER ARCHIVE_EXTRACT_XATTR ARCHIVE_FORMAT_AR_BSD
     ARCHIVE_FORMAT_AR_GNU */
  /* Offset 19 gives the best switch position.  */
  switch (name[19]) {
  case 'E':
    if (memEQ(name, "ARCHIVE_EXTRACT_OWNER", 21)) {
    /*                                  ^        */
#ifdef ARCHIVE_EXTRACT_OWNER
      *iv_return = ARCHIVE_EXTRACT_OWNER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "ARCHIVE_FORMAT_AR_GNU", 21)) {
    /*                                  ^        */
#ifdef ARCHIVE_FORMAT_AR_GNU
      *iv_return = ARCHIVE_FORMAT_AR_GNU;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "ARCHIVE_FORMAT_AR_BSD", 21)) {
    /*                                  ^        */
#ifdef ARCHIVE_FORMAT_AR_BSD
      *iv_return = ARCHIVE_FORMAT_AR_BSD;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "ARCHIVE_EXTRACT_XATTR", 21)) {
    /*                                  ^        */
#ifdef ARCHIVE_EXTRACT_XATTR
      *iv_return = ARCHIVE_EXTRACT_XATTR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_22 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_COMPRESSION_UU ARCHIVE_COMPRESSION_XZ ARCHIVE_ENTRY_ACL_MASK
     ARCHIVE_ENTRY_ACL_READ ARCHIVE_ENTRY_ACL_USER ARCHIVE_EXTRACT_FFLAGS
     ARCHIVE_EXTRACT_SPARSE ARCHIVE_EXTRACT_UNLINK ARCHIVE_FILTER_PROGRAM
     ARCHIVE_FORMAT_ISO9660 ARCHIVE_VERSION_NUMBER */
  /* Offset 21 gives the best switch position.  */
  switch (name[21]) {
  case '0':
    if (memEQ(name, "ARCHIVE_FORMAT_ISO966", 21)) {
    /*                                    0      */
#ifdef ARCHIVE_FORMAT_ISO9660
      *iv_return = ARCHIVE_FORMAT_ISO9660;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'D':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_REA", 21)) {
    /*                                    D      */
#ifdef ARCHIVE_ENTRY_ACL_READ
      *iv_return = ARCHIVE_ENTRY_ACL_READ;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "ARCHIVE_EXTRACT_SPARS", 21)) {
    /*                                    E      */
#ifdef ARCHIVE_EXTRACT_SPARSE
      *iv_return = ARCHIVE_EXTRACT_SPARSE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'K':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_MAS", 21)) {
    /*                                    K      */
#ifdef ARCHIVE_ENTRY_ACL_MASK
      *iv_return = ARCHIVE_ENTRY_ACL_MASK;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "ARCHIVE_EXTRACT_UNLIN", 21)) {
    /*                                    K      */
#ifdef ARCHIVE_EXTRACT_UNLINK
      *iv_return = ARCHIVE_EXTRACT_UNLINK;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'M':
    if (memEQ(name, "ARCHIVE_FILTER_PROGRA", 21)) {
    /*                                    M      */
#ifdef ARCHIVE_FILTER_PROGRAM
      *iv_return = ARCHIVE_FILTER_PROGRAM;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_USE", 21)) {
    /*                                    R      */
#ifdef ARCHIVE_ENTRY_ACL_USER
      *iv_return = ARCHIVE_ENTRY_ACL_USER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "ARCHIVE_VERSION_NUMBE", 21)) {
    /*                                    R      */
#ifdef ARCHIVE_VERSION_NUMBER
      *iv_return = ARCHIVE_VERSION_NUMBER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "ARCHIVE_EXTRACT_FFLAG", 21)) {
    /*                                    S      */
#ifdef ARCHIVE_EXTRACT_FFLAGS
      *iv_return = ARCHIVE_EXTRACT_FFLAGS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'U':
    if (memEQ(name, "ARCHIVE_COMPRESSION_U", 21)) {
    /*                                    U      */
#ifdef ARCHIVE_COMPRESSION_UU
      *iv_return = ARCHIVE_COMPRESSION_UU;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'Z':
    if (memEQ(name, "ARCHIVE_COMPRESSION_X", 21)) {
    /*                                    Z      */
#ifdef ARCHIVE_COMPRESSION_XZ
      *iv_return = ARCHIVE_COMPRESSION_XZ;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_23 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_COMPRESSION_RPM ARCHIVE_ENTRY_ACL_GROUP ARCHIVE_ENTRY_ACL_OTHER
     ARCHIVE_ENTRY_ACL_WRITE ARCHIVE_FILTER_COMPRESS */
  /* Offset 20 gives the best switch position.  */
  switch (name[20]) {
  case 'E':
    if (memEQ(name, "ARCHIVE_FILTER_COMPRESS", 23)) {
    /*                                   ^         */
#ifdef ARCHIVE_FILTER_COMPRESS
      *iv_return = ARCHIVE_FILTER_COMPRESS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'H':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_OTHER", 23)) {
    /*                                   ^         */
#ifdef ARCHIVE_ENTRY_ACL_OTHER
      *iv_return = ARCHIVE_ENTRY_ACL_OTHER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'I':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_WRITE", 23)) {
    /*                                   ^         */
#ifdef ARCHIVE_ENTRY_ACL_WRITE
      *iv_return = ARCHIVE_ENTRY_ACL_WRITE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'O':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_GROUP", 23)) {
    /*                                   ^         */
#ifdef ARCHIVE_ENTRY_ACL_GROUP
      *iv_return = ARCHIVE_ENTRY_ACL_GROUP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "ARCHIVE_COMPRESSION_RPM", 23)) {
    /*                                   ^         */
#ifdef ARCHIVE_COMPRESSION_RPM
      *iv_return = ARCHIVE_COMPRESSION_RPM;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_24 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_COMPRESSION_GZIP ARCHIVE_COMPRESSION_LZIP ARCHIVE_COMPRESSION_LZMA
     ARCHIVE_COMPRESSION_NONE ARCHIVE_ENTRY_ACL_DELETE ARCHIVE_FORMAT_BASE_MASK
     ARCHIVE_FORMAT_SHAR_BASE ARCHIVE_FORMAT_SHAR_DUMP ARCHIVE_FORMAT_TAR_USTAR
     */
  /* Offset 20 gives the best switch position.  */
  switch (name[20]) {
  case 'B':
    if (memEQ(name, "ARCHIVE_FORMAT_SHAR_BASE", 24)) {
    /*                                   ^          */
#ifdef ARCHIVE_FORMAT_SHAR_BASE
      *iv_return = ARCHIVE_FORMAT_SHAR_BASE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'D':
    if (memEQ(name, "ARCHIVE_FORMAT_SHAR_DUMP", 24)) {
    /*                                   ^          */
#ifdef ARCHIVE_FORMAT_SHAR_DUMP
      *iv_return = ARCHIVE_FORMAT_SHAR_DUMP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'G':
    if (memEQ(name, "ARCHIVE_COMPRESSION_GZIP", 24)) {
    /*                                   ^          */
#ifdef ARCHIVE_COMPRESSION_GZIP
      *iv_return = ARCHIVE_COMPRESSION_GZIP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "ARCHIVE_COMPRESSION_LZIP", 24)) {
    /*                                   ^          */
#ifdef ARCHIVE_COMPRESSION_LZIP
      *iv_return = ARCHIVE_COMPRESSION_LZIP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "ARCHIVE_COMPRESSION_LZMA", 24)) {
    /*                                   ^          */
#ifdef ARCHIVE_COMPRESSION_LZMA
      *iv_return = ARCHIVE_COMPRESSION_LZMA;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_DELETE", 24)) {
    /*                                   ^          */
#ifdef ARCHIVE_ENTRY_ACL_DELETE
      *iv_return = ARCHIVE_ENTRY_ACL_DELETE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'M':
    if (memEQ(name, "ARCHIVE_FORMAT_BASE_MASK", 24)) {
    /*                                   ^          */
#ifdef ARCHIVE_FORMAT_BASE_MASK
      *iv_return = ARCHIVE_FORMAT_BASE_MASK;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "ARCHIVE_COMPRESSION_NONE", 24)) {
    /*                                   ^          */
#ifdef ARCHIVE_COMPRESSION_NONE
      *iv_return = ARCHIVE_COMPRESSION_NONE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "ARCHIVE_FORMAT_TAR_USTAR", 24)) {
    /*                                   ^          */
#ifdef ARCHIVE_FORMAT_TAR_USTAR
      *iv_return = ARCHIVE_FORMAT_TAR_USTAR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_25 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_COMPRESSION_BZIP2 ARCHIVE_ENTRY_ACL_EXECUTE
     ARCHIVE_FORMAT_CPIO_POSIX ARCHIVE_FORMAT_TAR_GNUTAR */
  /* Offset 22 gives the best switch position.  */
  switch (name[22]) {
  case 'I':
    if (memEQ(name, "ARCHIVE_COMPRESSION_BZIP2", 25)) {
    /*                                     ^         */
#ifdef ARCHIVE_COMPRESSION_BZIP2
      *iv_return = ARCHIVE_COMPRESSION_BZIP2;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "ARCHIVE_FORMAT_CPIO_POSIX", 25)) {
    /*                                     ^         */
#ifdef ARCHIVE_FORMAT_CPIO_POSIX
      *iv_return = ARCHIVE_FORMAT_CPIO_POSIX;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "ARCHIVE_FORMAT_TAR_GNUTAR", 25)) {
    /*                                     ^         */
#ifdef ARCHIVE_FORMAT_TAR_GNUTAR
      *iv_return = ARCHIVE_FORMAT_TAR_GNUTAR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'U':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_EXECUTE", 25)) {
    /*                                     ^         */
#ifdef ARCHIVE_ENTRY_ACL_EXECUTE
      *iv_return = ARCHIVE_ENTRY_ACL_EXECUTE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_26 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_ENTRY_ACL_ADD_FILE ARCHIVE_ENTRY_ACL_EVERYONE
     ARCHIVE_ENTRY_ACL_READ_ACL ARCHIVE_ENTRY_ACL_USER_OBJ
     ARCHIVE_EXTRACT_NO_AUTODIR ARCHIVE_FORMAT_CPIO_BIN_BE
     ARCHIVE_FORMAT_CPIO_BIN_LE */
  /* Offset 18 gives the best switch position.  */
  switch (name[18]) {
  case 'A':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_ADD_FILE", 26)) {
    /*                                 ^              */
#ifdef ARCHIVE_ENTRY_ACL_ADD_FILE
      *iv_return = ARCHIVE_ENTRY_ACL_ADD_FILE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_EVERYONE", 26)) {
    /*                                 ^              */
#ifdef ARCHIVE_ENTRY_ACL_EVERYONE
      *iv_return = ARCHIVE_ENTRY_ACL_EVERYONE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'O':
    if (memEQ(name, "ARCHIVE_FORMAT_CPIO_BIN_BE", 26)) {
    /*                                 ^              */
#ifdef ARCHIVE_FORMAT_CPIO_BIN_BE
      *iv_return = ARCHIVE_FORMAT_CPIO_BIN_BE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "ARCHIVE_FORMAT_CPIO_BIN_LE", 26)) {
    /*                                 ^              */
#ifdef ARCHIVE_FORMAT_CPIO_BIN_LE
      *iv_return = ARCHIVE_FORMAT_CPIO_BIN_LE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_READ_ACL", 26)) {
    /*                                 ^              */
#ifdef ARCHIVE_ENTRY_ACL_READ_ACL
      *iv_return = ARCHIVE_ENTRY_ACL_READ_ACL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'U':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_USER_OBJ", 26)) {
    /*                                 ^              */
#ifdef ARCHIVE_ENTRY_ACL_USER_OBJ
      *iv_return = ARCHIVE_ENTRY_ACL_USER_OBJ;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '_':
    if (memEQ(name, "ARCHIVE_EXTRACT_NO_AUTODIR", 26)) {
    /*                                 ^              */
#ifdef ARCHIVE_EXTRACT_NO_AUTODIR
      *iv_return = ARCHIVE_EXTRACT_NO_AUTODIR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_27 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_COMPRESSION_PROGRAM ARCHIVE_ENTRY_ACL_GROUP_OBJ
     ARCHIVE_ENTRY_ACL_READ_DATA ARCHIVE_ENTRY_ACL_TYPE_DENY
     ARCHIVE_ENTRY_ACL_TYPE_NFS4 ARCHIVE_ENTRY_ACL_WRITE_ACL */
  /* Offset 25 gives the best switch position.  */
  switch (name[25]) {
  case 'A':
    if (memEQ(name, "ARCHIVE_COMPRESSION_PROGRAM", 27)) {
    /*                                        ^        */
#ifdef ARCHIVE_COMPRESSION_PROGRAM
      *iv_return = ARCHIVE_COMPRESSION_PROGRAM;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'B':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_GROUP_OBJ", 27)) {
    /*                                        ^        */
#ifdef ARCHIVE_ENTRY_ACL_GROUP_OBJ
      *iv_return = ARCHIVE_ENTRY_ACL_GROUP_OBJ;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'C':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_WRITE_ACL", 27)) {
    /*                                        ^        */
#ifdef ARCHIVE_ENTRY_ACL_WRITE_ACL
      *iv_return = ARCHIVE_ENTRY_ACL_WRITE_ACL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_TYPE_DENY", 27)) {
    /*                                        ^        */
#ifdef ARCHIVE_ENTRY_ACL_TYPE_DENY
      *iv_return = ARCHIVE_ENTRY_ACL_TYPE_DENY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_TYPE_NFS4", 27)) {
    /*                                        ^        */
#ifdef ARCHIVE_ENTRY_ACL_TYPE_NFS4
      *iv_return = ARCHIVE_ENTRY_ACL_TYPE_NFS4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_READ_DATA", 27)) {
    /*                                        ^        */
#ifdef ARCHIVE_ENTRY_ACL_READ_DATA
      *iv_return = ARCHIVE_ENTRY_ACL_READ_DATA;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_28 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_COMPRESSION_COMPRESS ARCHIVE_ENTRY_ACL_PERMS_NFS4
     ARCHIVE_ENTRY_ACL_TYPE_ALARM ARCHIVE_ENTRY_ACL_TYPE_ALLOW
     ARCHIVE_ENTRY_ACL_TYPE_AUDIT ARCHIVE_ENTRY_ACL_WRITE_DATA
     ARCHIVE_EXTRACT_MAC_METADATA ARCHIVE_EXTRACT_NO_OVERWRITE
     ARCHIVE_FORMAT_CPIO_SVR4_CRC */
  /* Offset 27 gives the best switch position.  */
  switch (name[27]) {
  case '4':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_PERMS_NFS", 27)) {
    /*                                          4      */
#ifdef ARCHIVE_ENTRY_ACL_PERMS_NFS4
      *iv_return = ARCHIVE_ENTRY_ACL_PERMS_NFS4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'A':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_WRITE_DAT", 27)) {
    /*                                          A      */
#ifdef ARCHIVE_ENTRY_ACL_WRITE_DATA
      *iv_return = ARCHIVE_ENTRY_ACL_WRITE_DATA;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "ARCHIVE_EXTRACT_MAC_METADAT", 27)) {
    /*                                          A      */
#ifdef ARCHIVE_EXTRACT_MAC_METADATA
      *iv_return = ARCHIVE_EXTRACT_MAC_METADATA;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'C':
    if (memEQ(name, "ARCHIVE_FORMAT_CPIO_SVR4_CR", 27)) {
    /*                                          C      */
#ifdef ARCHIVE_FORMAT_CPIO_SVR4_CRC
      *iv_return = ARCHIVE_FORMAT_CPIO_SVR4_CRC;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "ARCHIVE_EXTRACT_NO_OVERWRIT", 27)) {
    /*                                          E      */
#ifdef ARCHIVE_EXTRACT_NO_OVERWRITE
      *iv_return = ARCHIVE_EXTRACT_NO_OVERWRITE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'M':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_TYPE_ALAR", 27)) {
    /*                                          M      */
#ifdef ARCHIVE_ENTRY_ACL_TYPE_ALARM
      *iv_return = ARCHIVE_ENTRY_ACL_TYPE_ALARM;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "ARCHIVE_COMPRESSION_COMPRES", 27)) {
    /*                                          S      */
#ifdef ARCHIVE_COMPRESSION_COMPRESS
      *iv_return = ARCHIVE_COMPRESSION_COMPRESS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_TYPE_AUDI", 27)) {
    /*                                          T      */
#ifdef ARCHIVE_ENTRY_ACL_TYPE_AUDIT
      *iv_return = ARCHIVE_ENTRY_ACL_TYPE_AUDIT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'W':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_TYPE_ALLO", 27)) {
    /*                                          W      */
#ifdef ARCHIVE_ENTRY_ACL_TYPE_ALLOW
      *iv_return = ARCHIVE_ENTRY_ACL_TYPE_ALLOW;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_29 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_ENTRY_ACL_APPEND_DATA ARCHIVE_ENTRY_ACL_SYNCHRONIZE
     ARCHIVE_ENTRY_ACL_TYPE_ACCESS ARCHIVE_ENTRY_ACL_WRITE_OWNER
     ARCHIVE_READDISK_HONOR_NODUMP ARCHIVE_READDISK_MAC_COPYFILE */
  /* Offset 27 gives the best switch position.  */
  switch (name[27]) {
  case 'E':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_WRITE_OWNER", 29)) {
    /*                                          ^        */
#ifdef ARCHIVE_ENTRY_ACL_WRITE_OWNER
      *iv_return = ARCHIVE_ENTRY_ACL_WRITE_OWNER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "ARCHIVE_READDISK_MAC_COPYFILE", 29)) {
    /*                                          ^        */
#ifdef ARCHIVE_READDISK_MAC_COPYFILE
      *iv_return = ARCHIVE_READDISK_MAC_COPYFILE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'M':
    if (memEQ(name, "ARCHIVE_READDISK_HONOR_NODUMP", 29)) {
    /*                                          ^        */
#ifdef ARCHIVE_READDISK_HONOR_NODUMP
      *iv_return = ARCHIVE_READDISK_HONOR_NODUMP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_TYPE_ACCESS", 29)) {
    /*                                          ^        */
#ifdef ARCHIVE_ENTRY_ACL_TYPE_ACCESS
      *iv_return = ARCHIVE_ENTRY_ACL_TYPE_ACCESS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_APPEND_DATA", 29)) {
    /*                                          ^        */
#ifdef ARCHIVE_ENTRY_ACL_APPEND_DATA
      *iv_return = ARCHIVE_ENTRY_ACL_APPEND_DATA;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'Z':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_SYNCHRONIZE", 29)) {
    /*                                          ^        */
#ifdef ARCHIVE_ENTRY_ACL_SYNCHRONIZE
      *iv_return = ARCHIVE_ENTRY_ACL_SYNCHRONIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_30 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_ENTRY_ACL_DELETE_CHILD ARCHIVE_ENTRY_ACL_TYPE_DEFAULT
     ARCHIVE_ENTRY_ACL_TYPE_POSIX1E ARCHIVE_FORMAT_CPIO_AFIO_LARGE
     ARCHIVE_FORMAT_CPIO_SVR4_NOCRC ARCHIVE_READDISK_RESTORE_ATIME */
  /* Offset 25 gives the best switch position.  */
  switch (name[25]) {
  case 'A':
    if (memEQ(name, "ARCHIVE_READDISK_RESTORE_ATIME", 30)) {
    /*                                        ^           */
#ifdef ARCHIVE_READDISK_RESTORE_ATIME
      *iv_return = ARCHIVE_READDISK_RESTORE_ATIME;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'C':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_DELETE_CHILD", 30)) {
    /*                                        ^           */
#ifdef ARCHIVE_ENTRY_ACL_DELETE_CHILD
      *iv_return = ARCHIVE_ENTRY_ACL_DELETE_CHILD;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'F':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_TYPE_DEFAULT", 30)) {
    /*                                        ^           */
#ifdef ARCHIVE_ENTRY_ACL_TYPE_DEFAULT
      *iv_return = ARCHIVE_ENTRY_ACL_TYPE_DEFAULT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "ARCHIVE_FORMAT_CPIO_AFIO_LARGE", 30)) {
    /*                                        ^           */
#ifdef ARCHIVE_FORMAT_CPIO_AFIO_LARGE
      *iv_return = ARCHIVE_FORMAT_CPIO_AFIO_LARGE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "ARCHIVE_FORMAT_CPIO_SVR4_NOCRC", 30)) {
    /*                                        ^           */
#ifdef ARCHIVE_FORMAT_CPIO_SVR4_NOCRC
      *iv_return = ARCHIVE_FORMAT_CPIO_SVR4_NOCRC;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_TYPE_POSIX1E", 30)) {
    /*                                        ^           */
#ifdef ARCHIVE_ENTRY_ACL_TYPE_POSIX1E
      *iv_return = ARCHIVE_ENTRY_ACL_TYPE_POSIX1E;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_31 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_ENTRY_ACL_PERMS_POSIX1E ARCHIVE_EXTRACT_SECURE_NODOTDOT
     ARCHIVE_EXTRACT_SECURE_SYMLINKS */
  /* Offset 26 gives the best switch position.  */
  switch (name[26]) {
  case 'L':
    if (memEQ(name, "ARCHIVE_EXTRACT_SECURE_SYMLINKS", 31)) {
    /*                                         ^           */
#ifdef ARCHIVE_EXTRACT_SECURE_SYMLINKS
      *iv_return = ARCHIVE_EXTRACT_SECURE_SYMLINKS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'O':
    if (memEQ(name, "ARCHIVE_EXTRACT_SECURE_NODOTDOT", 31)) {
    /*                                         ^           */
#ifdef ARCHIVE_EXTRACT_SECURE_NODOTDOT
      *iv_return = ARCHIVE_EXTRACT_SECURE_NODOTDOT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_PERMS_POSIX1E", 31)) {
    /*                                         ^           */
#ifdef ARCHIVE_ENTRY_ACL_PERMS_POSIX1E
      *iv_return = ARCHIVE_ENTRY_ACL_PERMS_POSIX1E;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_32 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_ENTRY_ACL_LIST_DIRECTORY ARCHIVE_ENTRY_ACL_STYLE_EXTRA_ID
     ARCHIVE_FORMAT_ISO9660_ROCKRIDGE */
  /* Offset 24 gives the best switch position.  */
  switch (name[24]) {
  case 'E':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_STYLE_EXTRA_ID", 32)) {
    /*                                       ^              */
#ifdef ARCHIVE_ENTRY_ACL_STYLE_EXTRA_ID
      *iv_return = ARCHIVE_ENTRY_ACL_STYLE_EXTRA_ID;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'I':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_LIST_DIRECTORY", 32)) {
    /*                                       ^              */
#ifdef ARCHIVE_ENTRY_ACL_LIST_DIRECTORY
      *iv_return = ARCHIVE_ENTRY_ACL_LIST_DIRECTORY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'O':
    if (memEQ(name, "ARCHIVE_FORMAT_ISO9660_ROCKRIDGE", 32)) {
    /*                                       ^              */
#ifdef ARCHIVE_FORMAT_ISO9660_ROCKRIDGE
      *iv_return = ARCHIVE_FORMAT_ISO9660_ROCKRIDGE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_34 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_ENTRY_ACL_ADD_SUBDIRECTORY ARCHIVE_ENTRY_ACL_INHERITANCE_NFS4
     ARCHIVE_ENTRY_ACL_READ_NAMED_ATTRS ARCHIVE_ENTRY_ACL_WRITE_ATTRIBUTES
     ARCHIVE_EXTRACT_NO_OVERWRITE_NEWER ARCHIVE_FORMAT_TAR_PAX_INTERCHANGE */
  /* Offset 19 gives the best switch position.  */
  switch (name[19]) {
  case 'D':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_ADD_SUBDIRECTORY", 34)) {
    /*                                  ^                     */
#ifdef ARCHIVE_ENTRY_ACL_ADD_SUBDIRECTORY
      *iv_return = ARCHIVE_ENTRY_ACL_ADD_SUBDIRECTORY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_READ_NAMED_ATTRS", 34)) {
    /*                                  ^                     */
#ifdef ARCHIVE_ENTRY_ACL_READ_NAMED_ATTRS
      *iv_return = ARCHIVE_ENTRY_ACL_READ_NAMED_ATTRS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_INHERITANCE_NFS4", 34)) {
    /*                                  ^                     */
#ifdef ARCHIVE_ENTRY_ACL_INHERITANCE_NFS4
      *iv_return = ARCHIVE_ENTRY_ACL_INHERITANCE_NFS4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'O':
    if (memEQ(name, "ARCHIVE_EXTRACT_NO_OVERWRITE_NEWER", 34)) {
    /*                                  ^                     */
#ifdef ARCHIVE_EXTRACT_NO_OVERWRITE_NEWER
      *iv_return = ARCHIVE_EXTRACT_NO_OVERWRITE_NEWER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'P':
    if (memEQ(name, "ARCHIVE_FORMAT_TAR_PAX_INTERCHANGE", 34)) {
    /*                                  ^                     */
#ifdef ARCHIVE_FORMAT_TAR_PAX_INTERCHANGE
      *iv_return = ARCHIVE_FORMAT_TAR_PAX_INTERCHANGE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_WRITE_ATTRIBUTES", 34)) {
    /*                                  ^                     */
#ifdef ARCHIVE_ENTRY_ACL_WRITE_ATTRIBUTES
      *iv_return = ARCHIVE_ENTRY_ACL_WRITE_ATTRIBUTES;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_36 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ARCHIVE_ENTRY_ACL_ENTRY_FILE_INHERIT ARCHIVE_ENTRY_ACL_ENTRY_INHERIT_ONLY
     ARCHIVE_ENTRY_ACL_STYLE_MARK_DEFAULT */
  /* Offset 24 gives the best switch position.  */
  switch (name[24]) {
  case 'F':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_ENTRY_FILE_INHERIT", 36)) {
    /*                                       ^                  */
#ifdef ARCHIVE_ENTRY_ACL_ENTRY_FILE_INHERIT
      *iv_return = ARCHIVE_ENTRY_ACL_ENTRY_FILE_INHERIT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'I':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_ENTRY_INHERIT_ONLY", 36)) {
    /*                                       ^                  */
#ifdef ARCHIVE_ENTRY_ACL_ENTRY_INHERIT_ONLY
      *iv_return = ARCHIVE_ENTRY_ACL_ENTRY_INHERIT_ONLY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'M':
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_STYLE_MARK_DEFAULT", 36)) {
    /*                                       ^                  */
#ifdef ARCHIVE_ENTRY_ACL_STYLE_MARK_DEFAULT
      *iv_return = ARCHIVE_ENTRY_ACL_STYLE_MARK_DEFAULT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant (pTHX_ const char *name, STRLEN len, IV *iv_return) {
  /* Initially switch on the length of the name.  */
  /* When generated this function returned values for the list of names given
     in this section of perl code.  Rather than manually editing these functions
     to add or remove constants, which would result in this comment and section
     of code becoming inaccurate, we recommend that you edit this section of
     code, and use it to regenerate a new set of constant functions which you
     then use to replace the originals.

     Regenerate these constant functions by feeding this entire source file to
     perl -x

#!/usr/bin/perl -w
use ExtUtils::Constant qw (constant_types C_constant XS_constant);

my $types = {map {($_, 1)} qw(IV)};
my @names = (qw(AE_IFBLK AE_IFCHR AE_IFDIR AE_IFIFO AE_IFLNK AE_IFMT AE_IFREG
	       AE_IFSOCK ARCHIVE_COMPRESSION_BZIP2 ARCHIVE_COMPRESSION_COMPRESS
	       ARCHIVE_COMPRESSION_GZIP ARCHIVE_COMPRESSION_LZIP
	       ARCHIVE_COMPRESSION_LZMA ARCHIVE_COMPRESSION_NONE
	       ARCHIVE_COMPRESSION_PROGRAM ARCHIVE_COMPRESSION_RPM
	       ARCHIVE_COMPRESSION_UU ARCHIVE_COMPRESSION_XZ
	       ARCHIVE_ENTRY_ACL_ADD_FILE ARCHIVE_ENTRY_ACL_ADD_SUBDIRECTORY
	       ARCHIVE_ENTRY_ACL_APPEND_DATA ARCHIVE_ENTRY_ACL_DELETE
	       ARCHIVE_ENTRY_ACL_DELETE_CHILD
	       ARCHIVE_ENTRY_ACL_ENTRY_DIRECTORY_INHERIT
	       ARCHIVE_ENTRY_ACL_ENTRY_FAILED_ACCESS
	       ARCHIVE_ENTRY_ACL_ENTRY_FILE_INHERIT
	       ARCHIVE_ENTRY_ACL_ENTRY_INHERIT_ONLY
	       ARCHIVE_ENTRY_ACL_ENTRY_NO_PROPAGATE_INHERIT
	       ARCHIVE_ENTRY_ACL_ENTRY_SUCCESSFUL_ACCESS
	       ARCHIVE_ENTRY_ACL_EVERYONE ARCHIVE_ENTRY_ACL_EXECUTE
	       ARCHIVE_ENTRY_ACL_GROUP ARCHIVE_ENTRY_ACL_GROUP_OBJ
	       ARCHIVE_ENTRY_ACL_INHERITANCE_NFS4
	       ARCHIVE_ENTRY_ACL_LIST_DIRECTORY ARCHIVE_ENTRY_ACL_MASK
	       ARCHIVE_ENTRY_ACL_OTHER ARCHIVE_ENTRY_ACL_PERMS_NFS4
	       ARCHIVE_ENTRY_ACL_PERMS_POSIX1E ARCHIVE_ENTRY_ACL_READ
	       ARCHIVE_ENTRY_ACL_READ_ACL ARCHIVE_ENTRY_ACL_READ_ATTRIBUTES
	       ARCHIVE_ENTRY_ACL_READ_DATA ARCHIVE_ENTRY_ACL_READ_NAMED_ATTRS
	       ARCHIVE_ENTRY_ACL_STYLE_EXTRA_ID
	       ARCHIVE_ENTRY_ACL_STYLE_MARK_DEFAULT
	       ARCHIVE_ENTRY_ACL_SYNCHRONIZE ARCHIVE_ENTRY_ACL_TYPE_ACCESS
	       ARCHIVE_ENTRY_ACL_TYPE_ALARM ARCHIVE_ENTRY_ACL_TYPE_ALLOW
	       ARCHIVE_ENTRY_ACL_TYPE_AUDIT ARCHIVE_ENTRY_ACL_TYPE_DEFAULT
	       ARCHIVE_ENTRY_ACL_TYPE_DENY ARCHIVE_ENTRY_ACL_TYPE_NFS4
	       ARCHIVE_ENTRY_ACL_TYPE_POSIX1E ARCHIVE_ENTRY_ACL_USER
	       ARCHIVE_ENTRY_ACL_USER_OBJ ARCHIVE_ENTRY_ACL_WRITE
	       ARCHIVE_ENTRY_ACL_WRITE_ACL ARCHIVE_ENTRY_ACL_WRITE_ATTRIBUTES
	       ARCHIVE_ENTRY_ACL_WRITE_DATA ARCHIVE_ENTRY_ACL_WRITE_NAMED_ATTRS
	       ARCHIVE_ENTRY_ACL_WRITE_OWNER ARCHIVE_EOF ARCHIVE_EXTRACT_ACL
	       ARCHIVE_EXTRACT_FFLAGS ARCHIVE_EXTRACT_MAC_METADATA
	       ARCHIVE_EXTRACT_NO_AUTODIR ARCHIVE_EXTRACT_NO_OVERWRITE
	       ARCHIVE_EXTRACT_NO_OVERWRITE_NEWER ARCHIVE_EXTRACT_OWNER
	       ARCHIVE_EXTRACT_PERM ARCHIVE_EXTRACT_SECURE_NODOTDOT
	       ARCHIVE_EXTRACT_SECURE_SYMLINKS ARCHIVE_EXTRACT_SPARSE
	       ARCHIVE_EXTRACT_TIME ARCHIVE_EXTRACT_UNLINK
	       ARCHIVE_EXTRACT_XATTR ARCHIVE_FAILED ARCHIVE_FATAL
	       ARCHIVE_FILTER_BZIP2 ARCHIVE_FILTER_COMPRESS ARCHIVE_FILTER_GZIP
	       ARCHIVE_FILTER_LZIP ARCHIVE_FILTER_LZMA ARCHIVE_FILTER_NONE
	       ARCHIVE_FILTER_PROGRAM ARCHIVE_FILTER_RPM ARCHIVE_FILTER_UU
	       ARCHIVE_FILTER_XZ ARCHIVE_FORMAT_7ZIP ARCHIVE_FORMAT_AR
	       ARCHIVE_FORMAT_AR_BSD ARCHIVE_FORMAT_AR_GNU
	       ARCHIVE_FORMAT_BASE_MASK ARCHIVE_FORMAT_CAB ARCHIVE_FORMAT_CPIO
	       ARCHIVE_FORMAT_CPIO_AFIO_LARGE ARCHIVE_FORMAT_CPIO_BIN_BE
	       ARCHIVE_FORMAT_CPIO_BIN_LE ARCHIVE_FORMAT_CPIO_POSIX
	       ARCHIVE_FORMAT_CPIO_SVR4_CRC ARCHIVE_FORMAT_CPIO_SVR4_NOCRC
	       ARCHIVE_FORMAT_EMPTY ARCHIVE_FORMAT_ISO9660
	       ARCHIVE_FORMAT_ISO9660_ROCKRIDGE ARCHIVE_FORMAT_LHA
	       ARCHIVE_FORMAT_MTREE ARCHIVE_FORMAT_RAR ARCHIVE_FORMAT_RAW
	       ARCHIVE_FORMAT_SHAR ARCHIVE_FORMAT_SHAR_BASE
	       ARCHIVE_FORMAT_SHAR_DUMP ARCHIVE_FORMAT_TAR
	       ARCHIVE_FORMAT_TAR_GNUTAR ARCHIVE_FORMAT_TAR_PAX_INTERCHANGE
	       ARCHIVE_FORMAT_TAR_PAX_RESTRICTED ARCHIVE_FORMAT_TAR_USTAR
	       ARCHIVE_FORMAT_XAR ARCHIVE_FORMAT_ZIP ARCHIVE_MATCH_CTIME
	       ARCHIVE_MATCH_EQUAL ARCHIVE_MATCH_MTIME ARCHIVE_MATCH_NEWER
	       ARCHIVE_MATCH_OLDER ARCHIVE_OK ARCHIVE_READDISK_HONOR_NODUMP
	       ARCHIVE_READDISK_MAC_COPYFILE
	       ARCHIVE_READDISK_NO_TRAVERSE_MOUNTS
	       ARCHIVE_READDISK_RESTORE_ATIME ARCHIVE_RETRY
	       ARCHIVE_VERSION_NUMBER ARCHIVE_WARN));

print constant_types(), "\n"; # macro defs
foreach (C_constant ("LibArchive", 'constant', 'IV', $types, undef, 3, @names) ) {
    print $_, "\n"; # C constant subs
}
print "\n#### XS Section:\n";
print XS_constant ("LibArchive", $types);
__END__
   */

  switch (len) {
  case 7:
    if (memEQ(name, "AE_IFMT", 7)) {
#ifdef AE_IFMT
      *iv_return = AE_IFMT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 8:
    return constant_8 (aTHX_ name, iv_return);
    break;
  case 9:
    if (memEQ(name, "AE_IFSOCK", 9)) {
#ifdef AE_IFSOCK
      *iv_return = AE_IFSOCK;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 10:
    if (memEQ(name, "ARCHIVE_OK", 10)) {
#ifdef ARCHIVE_OK
      *iv_return = ARCHIVE_OK;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 11:
    if (memEQ(name, "ARCHIVE_EOF", 11)) {
#ifdef ARCHIVE_EOF
      *iv_return = ARCHIVE_EOF;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 12:
    if (memEQ(name, "ARCHIVE_WARN", 12)) {
#ifdef ARCHIVE_WARN
      *iv_return = ARCHIVE_WARN;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 13:
    /* Names all of length 13.  */
    /* ARCHIVE_FATAL ARCHIVE_RETRY */
    /* Offset 9 gives the best switch position.  */
    switch (name[9]) {
    case 'A':
      if (memEQ(name, "ARCHIVE_FATAL", 13)) {
      /*                        ^          */
#ifdef ARCHIVE_FATAL
        *iv_return = ARCHIVE_FATAL;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    case 'E':
      if (memEQ(name, "ARCHIVE_RETRY", 13)) {
      /*                        ^          */
#ifdef ARCHIVE_RETRY
        *iv_return = ARCHIVE_RETRY;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    }
    break;
  case 14:
    if (memEQ(name, "ARCHIVE_FAILED", 14)) {
#ifdef ARCHIVE_FAILED
      *iv_return = ARCHIVE_FAILED;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 17:
    return constant_17 (aTHX_ name, iv_return);
    break;
  case 18:
    return constant_18 (aTHX_ name, iv_return);
    break;
  case 19:
    return constant_19 (aTHX_ name, iv_return);
    break;
  case 20:
    return constant_20 (aTHX_ name, iv_return);
    break;
  case 21:
    return constant_21 (aTHX_ name, iv_return);
    break;
  case 22:
    return constant_22 (aTHX_ name, iv_return);
    break;
  case 23:
    return constant_23 (aTHX_ name, iv_return);
    break;
  case 24:
    return constant_24 (aTHX_ name, iv_return);
    break;
  case 25:
    return constant_25 (aTHX_ name, iv_return);
    break;
  case 26:
    return constant_26 (aTHX_ name, iv_return);
    break;
  case 27:
    return constant_27 (aTHX_ name, iv_return);
    break;
  case 28:
    return constant_28 (aTHX_ name, iv_return);
    break;
  case 29:
    return constant_29 (aTHX_ name, iv_return);
    break;
  case 30:
    return constant_30 (aTHX_ name, iv_return);
    break;
  case 31:
    return constant_31 (aTHX_ name, iv_return);
    break;
  case 32:
    return constant_32 (aTHX_ name, iv_return);
    break;
  case 33:
    /* Names all of length 33.  */
    /* ARCHIVE_ENTRY_ACL_READ_ATTRIBUTES ARCHIVE_FORMAT_TAR_PAX_RESTRICTED */
    /* Offset 8 gives the best switch position.  */
    switch (name[8]) {
    case 'E':
      if (memEQ(name, "ARCHIVE_ENTRY_ACL_READ_ATTRIBUTES", 33)) {
      /*                       ^                               */
#ifdef ARCHIVE_ENTRY_ACL_READ_ATTRIBUTES
        *iv_return = ARCHIVE_ENTRY_ACL_READ_ATTRIBUTES;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    case 'F':
      if (memEQ(name, "ARCHIVE_FORMAT_TAR_PAX_RESTRICTED", 33)) {
      /*                       ^                               */
#ifdef ARCHIVE_FORMAT_TAR_PAX_RESTRICTED
        *iv_return = ARCHIVE_FORMAT_TAR_PAX_RESTRICTED;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    }
    break;
  case 34:
    return constant_34 (aTHX_ name, iv_return);
    break;
  case 35:
    /* Names all of length 35.  */
    /* ARCHIVE_ENTRY_ACL_WRITE_NAMED_ATTRS ARCHIVE_READDISK_NO_TRAVERSE_MOUNTS
       */
    /* Offset 31 gives the best switch position.  */
    switch (name[31]) {
    case 'T':
      if (memEQ(name, "ARCHIVE_ENTRY_ACL_WRITE_NAMED_ATTRS", 35)) {
      /*                                              ^          */
#ifdef ARCHIVE_ENTRY_ACL_WRITE_NAMED_ATTRS
        *iv_return = ARCHIVE_ENTRY_ACL_WRITE_NAMED_ATTRS;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    case 'U':
      if (memEQ(name, "ARCHIVE_READDISK_NO_TRAVERSE_MOUNTS", 35)) {
      /*                                              ^          */
#ifdef ARCHIVE_READDISK_NO_TRAVERSE_MOUNTS
        *iv_return = ARCHIVE_READDISK_NO_TRAVERSE_MOUNTS;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    }
    break;
  case 36:
    return constant_36 (aTHX_ name, iv_return);
    break;
  case 37:
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_ENTRY_FAILED_ACCESS", 37)) {
#ifdef ARCHIVE_ENTRY_ACL_ENTRY_FAILED_ACCESS
      *iv_return = ARCHIVE_ENTRY_ACL_ENTRY_FAILED_ACCESS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 41:
    /* Names all of length 41.  */
    /* ARCHIVE_ENTRY_ACL_ENTRY_DIRECTORY_INHERIT
       ARCHIVE_ENTRY_ACL_ENTRY_SUCCESSFUL_ACCESS */
    /* Offset 40 gives the best switch position.  */
    switch (name[40]) {
    case 'S':
      if (memEQ(name, "ARCHIVE_ENTRY_ACL_ENTRY_SUCCESSFUL_ACCES", 40)) {
      /*                                                       S      */
#ifdef ARCHIVE_ENTRY_ACL_ENTRY_SUCCESSFUL_ACCESS
        *iv_return = ARCHIVE_ENTRY_ACL_ENTRY_SUCCESSFUL_ACCESS;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    case 'T':
      if (memEQ(name, "ARCHIVE_ENTRY_ACL_ENTRY_DIRECTORY_INHERI", 40)) {
      /*                                                       T      */
#ifdef ARCHIVE_ENTRY_ACL_ENTRY_DIRECTORY_INHERIT
        *iv_return = ARCHIVE_ENTRY_ACL_ENTRY_DIRECTORY_INHERIT;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    }
    break;
  case 44:
    if (memEQ(name, "ARCHIVE_ENTRY_ACL_ENTRY_NO_PROPAGATE_INHERIT", 44)) {
#ifdef ARCHIVE_ENTRY_ACL_ENTRY_NO_PROPAGATE_INHERIT
      *iv_return = ARCHIVE_ENTRY_ACL_ENTRY_NO_PROPAGATE_INHERIT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

