# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl LibArchive.t'

#########################

# change 'tests => 2' to 'tests => last_test_to_print';

use strict;
use warnings;

use Test::More tests => 2;
BEGIN { use_ok('LibArchive') };


my $fail = 0;
foreach my $constname (qw(
	AE_IFBLK AE_IFCHR AE_IFDIR AE_IFIFO AE_IFLNK AE_IFMT AE_IFREG AE_IFSOCK
	ARCHIVE_COMPRESSION_BZIP2 ARCHIVE_COMPRESSION_COMPRESS
	ARCHIVE_COMPRESSION_GZIP ARCHIVE_COMPRESSION_LZIP
	ARCHIVE_COMPRESSION_LZMA ARCHIVE_COMPRESSION_NONE
	ARCHIVE_COMPRESSION_PROGRAM ARCHIVE_COMPRESSION_RPM
	ARCHIVE_COMPRESSION_UU ARCHIVE_COMPRESSION_XZ
	ARCHIVE_ENTRY_ACL_ADD_FILE ARCHIVE_ENTRY_ACL_ADD_SUBDIRECTORY
	ARCHIVE_ENTRY_ACL_APPEND_DATA ARCHIVE_ENTRY_ACL_DELETE
	ARCHIVE_ENTRY_ACL_DELETE_CHILD
	ARCHIVE_ENTRY_ACL_ENTRY_DIRECTORY_INHERIT
	ARCHIVE_ENTRY_ACL_ENTRY_FAILED_ACCESS
	ARCHIVE_ENTRY_ACL_ENTRY_FILE_INHERIT
	ARCHIVE_ENTRY_ACL_ENTRY_INHERIT_ONLY
	ARCHIVE_ENTRY_ACL_ENTRY_NO_PROPAGATE_INHERIT
	ARCHIVE_ENTRY_ACL_ENTRY_SUCCESSFUL_ACCESS ARCHIVE_ENTRY_ACL_EVERYONE
	ARCHIVE_ENTRY_ACL_EXECUTE ARCHIVE_ENTRY_ACL_GROUP
	ARCHIVE_ENTRY_ACL_GROUP_OBJ ARCHIVE_ENTRY_ACL_INHERITANCE_NFS4
	ARCHIVE_ENTRY_ACL_LIST_DIRECTORY ARCHIVE_ENTRY_ACL_MASK
	ARCHIVE_ENTRY_ACL_OTHER ARCHIVE_ENTRY_ACL_PERMS_NFS4
	ARCHIVE_ENTRY_ACL_PERMS_POSIX1E ARCHIVE_ENTRY_ACL_READ
	ARCHIVE_ENTRY_ACL_READ_ACL ARCHIVE_ENTRY_ACL_READ_ATTRIBUTES
	ARCHIVE_ENTRY_ACL_READ_DATA ARCHIVE_ENTRY_ACL_READ_NAMED_ATTRS
	ARCHIVE_ENTRY_ACL_STYLE_EXTRA_ID ARCHIVE_ENTRY_ACL_STYLE_MARK_DEFAULT
	ARCHIVE_ENTRY_ACL_SYNCHRONIZE ARCHIVE_ENTRY_ACL_TYPE_ACCESS
	ARCHIVE_ENTRY_ACL_TYPE_ALARM ARCHIVE_ENTRY_ACL_TYPE_ALLOW
	ARCHIVE_ENTRY_ACL_TYPE_AUDIT ARCHIVE_ENTRY_ACL_TYPE_DEFAULT
	ARCHIVE_ENTRY_ACL_TYPE_DENY ARCHIVE_ENTRY_ACL_TYPE_NFS4
	ARCHIVE_ENTRY_ACL_TYPE_POSIX1E ARCHIVE_ENTRY_ACL_USER
	ARCHIVE_ENTRY_ACL_USER_OBJ ARCHIVE_ENTRY_ACL_WRITE
	ARCHIVE_ENTRY_ACL_WRITE_ACL ARCHIVE_ENTRY_ACL_WRITE_ATTRIBUTES
	ARCHIVE_ENTRY_ACL_WRITE_DATA ARCHIVE_ENTRY_ACL_WRITE_NAMED_ATTRS
	ARCHIVE_ENTRY_ACL_WRITE_OWNER ARCHIVE_EOF ARCHIVE_EXTRACT_ACL
	ARCHIVE_EXTRACT_FFLAGS ARCHIVE_EXTRACT_MAC_METADATA
	ARCHIVE_EXTRACT_NO_AUTODIR ARCHIVE_EXTRACT_NO_OVERWRITE
	ARCHIVE_EXTRACT_NO_OVERWRITE_NEWER ARCHIVE_EXTRACT_OWNER
	ARCHIVE_EXTRACT_PERM ARCHIVE_EXTRACT_SECURE_NODOTDOT
	ARCHIVE_EXTRACT_SECURE_SYMLINKS ARCHIVE_EXTRACT_SPARSE
	ARCHIVE_EXTRACT_TIME ARCHIVE_EXTRACT_UNLINK ARCHIVE_EXTRACT_XATTR
	ARCHIVE_FAILED ARCHIVE_FATAL ARCHIVE_FILTER_BZIP2
	ARCHIVE_FILTER_COMPRESS ARCHIVE_FILTER_GZIP ARCHIVE_FILTER_LZIP
	ARCHIVE_FILTER_LZMA ARCHIVE_FILTER_NONE ARCHIVE_FILTER_PROGRAM
	ARCHIVE_FILTER_RPM ARCHIVE_FILTER_UU ARCHIVE_FILTER_XZ
	ARCHIVE_FORMAT_7ZIP ARCHIVE_FORMAT_AR ARCHIVE_FORMAT_AR_BSD
	ARCHIVE_FORMAT_AR_GNU ARCHIVE_FORMAT_BASE_MASK ARCHIVE_FORMAT_CAB
	ARCHIVE_FORMAT_CPIO ARCHIVE_FORMAT_CPIO_AFIO_LARGE
	ARCHIVE_FORMAT_CPIO_BIN_BE ARCHIVE_FORMAT_CPIO_BIN_LE
	ARCHIVE_FORMAT_CPIO_POSIX ARCHIVE_FORMAT_CPIO_SVR4_CRC
	ARCHIVE_FORMAT_CPIO_SVR4_NOCRC ARCHIVE_FORMAT_EMPTY
	ARCHIVE_FORMAT_ISO9660 ARCHIVE_FORMAT_ISO9660_ROCKRIDGE
	ARCHIVE_FORMAT_LHA ARCHIVE_FORMAT_MTREE ARCHIVE_FORMAT_RAR
	ARCHIVE_FORMAT_RAW ARCHIVE_FORMAT_SHAR ARCHIVE_FORMAT_SHAR_BASE
	ARCHIVE_FORMAT_SHAR_DUMP ARCHIVE_FORMAT_TAR ARCHIVE_FORMAT_TAR_GNUTAR
	ARCHIVE_FORMAT_TAR_PAX_INTERCHANGE ARCHIVE_FORMAT_TAR_PAX_RESTRICTED
	ARCHIVE_FORMAT_TAR_USTAR ARCHIVE_FORMAT_XAR ARCHIVE_FORMAT_ZIP
	ARCHIVE_MATCH_CTIME ARCHIVE_MATCH_EQUAL ARCHIVE_MATCH_MTIME
	ARCHIVE_MATCH_NEWER ARCHIVE_MATCH_OLDER ARCHIVE_OK
	ARCHIVE_READDISK_HONOR_NODUMP ARCHIVE_READDISK_MAC_COPYFILE
	ARCHIVE_READDISK_NO_TRAVERSE_MOUNTS ARCHIVE_READDISK_RESTORE_ATIME
	ARCHIVE_RETRY ARCHIVE_VERSION_NUMBER ARCHIVE_WARN)) {
  next if (eval "my \$a = $constname; 1");
  if ($@ =~ /^Your vendor has not defined LibArchive macro $constname/) {
    print "# pass: $@";
  } else {
    print "# fail: $@";
    $fail = 1;
  }

}

ok( $fail == 0 , 'Constants' );
#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

